%define		_status		beta
%define		_pearname	XML_SaxFilters
%include	/usr/lib/rpm/macros.php
Summary:	%{_pearname} - a framework for building XML filters using the SAX API
Summary(pl.UTF-8):	%{_pearname} - tworzenie filtrów XML za pomocą API SAX
Name:		php-pear-%{_pearname}
Version:	0.3.0
Release:	6
License:	PHP
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	205e7ab8b5fcc63e131ad6c96f7aa09c
URL:		http://pear.php.net/package/XML_SaxFilters/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php(core) >= 4.1.0
Requires:	php-pear
Requires:	php-pear-XML_HTMLSax
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XML_SaxFilters provides a foundation for using Sax filters in PHP. The
original code base was developed by Luis Argerich and published at
http://phpxmlclasses.sourceforge.net/show_doc.php?class=class_sax_filters.html.
Luis discussed how SaxFilters work, using the Sourceforge classes as
an example, in Chapter 10 of Wrox "PHP 4 XML". Luis kindly gave
permission to modify the code and license for inclusion in PEAR.

This version of the Sax Filters makes significant changes to Luis's
original code (backwards compatibility is definately broken),
seperating abstract classes from interfaces, providing interfaces for
data readers and writers and providing methods to help parse XML
documents recursively with filters (for example
AbstractFilter::setParent()) for documents where the structure can
vary significantly.

Sax Filtering is an approach to making parsing XML documents with Sax
modular and easy to maintain. The parser delegates events to a child
filter which may in turn delegate events to another filter. In general
it's possible to implement filters for a document which are as
flexible and powerful as DOM.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
XML_SaxFilters dostarcza podstawy do użycia filtrów Sax w PHP.
Originalny kod został opracowany przez Luisa Argericha i opublikowany
pod adresem
http://phpxmlclasses.sourceforge.net/show_doc.php?class=class_sax_filters.html.
Luis poddał dyskusji sposób, w jaki działają SaxFilters, używając jako
przykładu klas Sourceforge, w rozdziale 10 "PHP 4 XML" wydawnictwa
Wrox. Luis zezwolił na modyfikację kodu i licencji tak, aby klasa ta
mogła zostać dołączona do PEAR.

Ta wersja Filtrów Sax wprowadza znaczące zmiany w stosunku do
oryginalnego kodu Luisa (wsteczna zgodność nie została zachowana),
oddzielając abstrakcyjne klasy od interfejsu, dostarczając interfejsy
do odczytu i zapisu danych oraz metody wspomagające rekursywne
parsowanie dokumentów XML (na przykład AbstractFilter::setParent())
dla dokumentów, których struktura może się znacząco różnić.

Celem filtrowania Sax jest sprawienie, iż parsowanie dokumetnów będzie
modularne i łatwe do zarządzania. Parser wysyła zdarzenia to filtra
dziecka, które z kolei może wysłać zdarzenia do innego filtra. Możliwe
jest zaimplementowanie filtrów, które będą tak elastyczne i potężne
jak DOM.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%doc docs/%{_pearname}/docs/*
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/XML/*.php
%{php_pear_dir}/XML/SaxFilters
%changelog
* Sun Aug 26 2012 Elan Ruusamäe <glen@delfi.ee> 9ed802a
- use php(core) for php engine version deps
- release 5 (by relup.sh)

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> 3dbb918
- rel 5

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 537013f
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> beb245b
- converted to UTF-8

* Tue May 23 2006 Elan Ruusamäe <glen@pld-linux.org> 8a79b3c
- BR rpm-build macros >= 1.300 for %pear_ macros

* Wed Mar 29 2006 Elan Ruusamäe <glen@pld-linux.org> 4edc913
- rel 4 (rebuild with less deps)

* Tue Mar 07 2006 Elan Ruusamäe <glen@pld-linux.org> 044e590
- BR php-pear-PEAR

* Wed Oct 05 2005 Elan Ruusamäe <glen@pld-linux.org> 5bb4960
- rel 3

* Mon Oct 03 2005 Elan Ruusamäe <glen@pld-linux.org> e2d2819
- semi automatically added deps from pear

* Sat Oct 01 2005 Elan Ruusamäe <glen@pld-linux.org> f9a6ca5
- new pear packaging

* Sat Dec 04 2004 Adam Gołębiowski <adamg@pld-linux.org> 076ca1c
- rebuild with new PEAR provides/requires scripts
- release 2

* Sun Oct 24 2004 paladine <paladine@pld-linux.org> df2becf
- spelling fixes, uppercases, etc.

* Sun May 30 2004 Adam Gołębiowski <adamg@pld-linux.org> 7922137
- fixed english information about status of the package

* Sun Apr 25 2004 Adam Gołębiowski <adamg@pld-linux.org> d76c206
- updated to 0.3.0; simplified %%files

* Mon Mar 15 2004 ankry <ankry@pld-linux.org> 50528d9
- massive cosmetics

* Tue Oct 07 2003 Adam Gołębiowski <adamg@pld-linux.org> 51f9e27
- do not use macros in URL

* Fri Sep 12 2003 Adam Gołębiowski <adamg@pld-linux.org> a3c027b
- updated to 0.2.0

* Sun Aug 31 2003 Adam Gołębiowski <adamg@pld-linux.org> 8799ef0
- more specific URL

* Fri Jul 04 2003 Jakub Bogusz <qboosh@pld-linux.org> 8773063
- pl fixes

* Thu Jul 03 2003 Adam Gołębiowski <adamg@pld-linux.org> 9562a6d
- initial import

